File pdf2djvu.changes of Package pdf2djvu

-------------------------------------------------------------------
Thu Apr 19 08:58:03 UTC 2018 - lazy.kent@opensuse.org

- Update to 0.9.9.
  * Fix build failure with Poppler ≥ 0.64.
  * Fix undefined behavior in the outline handling code.

-------------------------------------------------------------------
Fri Jan 19 18:41:40 UTC 2018 - lazy.kent@opensuse.org

- Update to 0.9.8.
  * Make --help and --version print to stdout, not stderr.
  * Fix build failure with Poppler ≥ 0.62.
  * Drop support for Poppler < 0.24.
  * Use HTTPS for savannah.gnu.org and unicode.org URLs.
  * Improve documentation.
  * Improve the configure script.
  * Remove the install-poppler-h-files tool.
  * Improve the test suite.
- Add README to docs.

-------------------------------------------------------------------
Sun Sep 24 10:34:57 UTC 2017 - zaitor@opensuse.org

- Update to version 0.9.7:
  * Fix build failure with Poppler ≥ 0.58.
  * Improve the build system: Fix non-portable sed(1) calls in the
    manpage translations makefile.

-------------------------------------------------------------------
Thu Aug 17 08:59:57 UTC 2017 - lazy.kent@opensuse.org

- Update to 0.9.6.
  * Port the code to C++11.
    Incidentally, this fixes build failure with Poppler ≥ 0.57.
  * Fix GCC 8 warnings about catching polymorphic type by value.
  * Improve the test suite.

-------------------------------------------------------------------
Tue Jan  3 11:06:36 UTC 2017 - lazy.kent@opensuse.org

- Update to 0.9.5.
  * Improve error handling:
    + Fix temporary files removal order.
    + Ignore duplicate page titles (with warning).
  * Fix creating bookmarks with more than 255 children. Regression
    introduced in 0.7.20.
  * Fix incorrect progress output in parallel mode.
  * Improve documentation:
    + Don't mention “--page-title-template=” as a way of disabling
    page titles. This works only if “--no-page-titles” works;
    there's no reason to prefer the former.
    + Update nose homepage URL.
    + Update OpenMP URLs.
    + Fix typos.
  * Improve the test suite.
  * Drop support for Poppler < 0.17.
  * Build with “-std=gnu++98”.
  * Build with “-Wempty-body”.
  * Build with “-Werror=misleading-indentation”.
  * Don't enable unknown warning options for clang.
  * Update German, Polish, Portuguese, Russian translations.
- Correct the source URLs.

-------------------------------------------------------------------
Thu Feb 25 09:15:35 UTC 2016 - lazy.kent@opensuse.org

- Update to 0.9.4.
  * Standardize on American spelling in the manual page.
  * Document that bugs can be reported to the mailing list.
  * Fix build failure with GCC 6.
  * Improve warning message when a link with an unsupported action
    type is encountered.
  * Improve error handling in out-of-memory situations.
  * Use HTTPS for sourceforge.net and freedesktop.org URLs.
  * Improve the test suite.
  * Update Polish, German, Portuguese, Russian translations.
  * Update the French translation of the manual page.

-------------------------------------------------------------------
Tue Dec  1 13:55:45 UTC 2015 - lazy.kent@opensuse.org

- Update to 0.9.3.
  * Fix rendering some vector elements that should go to the
    foreground layer. Regression introduced in 0.7.1.
  * Improve the test suite.

-------------------------------------------------------------------
Sun Oct 25 09:49:21 UTC 2015 - lazy.kent@opensuse.org

- Update to 0.9.2.
  * Improve error handling.
     + Ignore document outline items with non-existent
     destinations.
  * Improve the test suite.
  * Update Polish, German, Portuguese, Russian translations.

-------------------------------------------------------------------
Wed Sep 30 17:32:00 UTC 2015 - lazy.kent@opensuse.org

- Update to 0.9.1.
  * Fix detection of libraries needed for XMP support in the
    configure script.
  * Use DCE uuid_*() functions (instead of libuuid) if they are
    provided by libc.
  * Improve error handling.
- Changes in 0.9.
  * Add support for PDF page labels in page titles. Use labels as
    default page titles.
  * Add the “--no-page-title” option. Also, don't set page title if
    “--page-title-template” is empty.
  * Rename “--pageid-prefix” as “--page-id-prefix”.
  * Rename “--pageid-template” as “--page-id-template”.
  * Improve XMP support:
    + Use the Exiv2 library (instead of the GNOME XSLT library with
    hand-crafted XSL stylesheets).
    + Update the xmpMM:InstanceID property.
    + Update the xmpMM:DocumentID property.
    + Generate globally unique identifiers in the urn:uuid
    namespace.
    + Use correct timezone offset in xmp:MetadataDate.
  * Fix a few spelling mistakes in the manual page.
  * Fix support for files larger than 2GB on 32-bit systems.
  * Improve error handling.
  * Improve the test suite.
  * Update the Polish translation.
  * Disable building the Ukrainian manual page, which is not fully
    translated.
  * Update the Portuguese translation.
  * Update the German translation.
  * Update the French translation of the manual page.
  * Update the Russian translation.
- Changes in 0.8.2.
  * Fix file corruption for some documents with outline. Regression
    introduced in 0.7.20.
  * Improve thread-safety:
    + Make GraphicsMagick initialization thread-safe.
    + Rewrite the subprocess handling code to be thread-safe.
    Remove PStreams support.
  * Fix silencing djvuextract's stderr.
  * Use iconv() for converting from locale encoding to UTF-8.
  * Improve error handling.
  * Improve the test suite.
  * Update the Polish translation.
  * Update the Portuguese translation.
  * Update the German translation.
- Remove BuildRequires: pkgconfig(libxslt).
- Add BuildRequires: pkgconfig(exiv2), pkgconfig(uuid).

-------------------------------------------------------------------
Mon Aug 17 18:24:04 UTC 2015 - lazy.kent@opensuse.org

- Update to 0.8.1.
  * Fix “--fg-colors=N” when GraphicsMagick was compiled with
    QuantumDepth > 8.
  * Report GraphicsMagick's QuantumDepth in “--version”.
  * Build with “-Werror=narrowing”.
  * Document what software is required to run the tests.
  * Improve the test suite.
- Correct: BuildRequires: pkgconfig(ddjvuapi) >= 3.5.21;
  pkgconfig(poppler) >= 0.11.1.

-------------------------------------------------------------------
Sun Aug  9 12:33:33 UTC 2015 - lazy.kent@opensuse.org

- Update to 0.8.
  * Don't hardcode the Python interpreter path in script shebangs;
    use “#!/usr/bin/env python” instead.
  * Don't silently ignore --loss-level when used without
    --monochrome.
  * Add sanity check that output file is distinct from all input
    files.
  * Apply NFKC normalization on characters from the Alphabetic
    Presentation Forms block (U+FB00–U+FB4F), even when --no-nfkc
    were specified. This is what Poppler (≥ 0.19) does by default.
  * Fail early if duplicate page numbers were specified in
    -p/--pages.
  * Fail early on duplicate page identifiers and duplicate page
    titles.
  * Make --help and --version return with exit code 0.
  * Improve the configure script:
    + Check if Poppler xpdf headers exist.
    + Add option for disabling PStreams (--without-pstreams).
  * Change the order libraries on linker command line. Move
    libraries provided by the LIBS configure variable to the end.
  * Use the reentrant S-expression output API when it's available
    (DjVuLibre >= 3.5.25).
  * Improve error handling.
  * Improve the test suite.
  * Improve documentation:
    + Simplify documentation about build dependencies.
    + Document that pkg-config is required for building.
    + Update poppler-data download URL.
  * Update Polish, Portuguese, German, Russian translations and the
    French translation of the manual page.

-------------------------------------------------------------------
Mon May 11 18:19:23 UTC 2015 - lazy.kent@opensuse.org

- Update to 0.7.21.
  * Fix insecure use of /tmp when executing c44(1).

-------------------------------------------------------------------
Fri May  8 18:18:26 UTC 2015 - lazy.kent@opensuse.org

- Update to 0.7.20.
  * Don't use djvused for setting document outline.
  * Test suite: automatically skip tests that require features that
    were not enabled at build time.
  * Improve reporting of versions of the libraries in --version and
    XMP metadata.
  * Update the homepage URL and the bug tracker URLs, in
    documentation and code.
  * Update Portuguese, Russian, German and Ukrainian translations.
- Add for tests BuildRequires: python-imaging.
- Correct the URL tag.

-------------------------------------------------------------------
Thu Mar 12 16:30:41 UTC 2015 - lazy.kent@opensuse.org

- Add %check section to run 'make test'.
- Update the keyring file.

-------------------------------------------------------------------
Mon Mar  9 00:59:19 UTC 2015 - p.drouand@gmail.com

- Update to version 0.7.19
  * Fix build failure with Poppler ≥ 0.31.
    https://code.google.com/p/pdf2djvu/issues/detail?id=99
- Remove gpg-offline usage; OBS handles sources verification
- Update download Url
- Do not use %doc with manpages; it's redundant
- Changes in 0.7.18.
  * Make the xml2c script more portable.
  * In C++11 mode, use “decltype” instead of “typeof”.
  * Fix build failure with libc++ in C++98 mode.
  * Use the standard AC_OPENMP macro in the configure script
    (instead of 3rd-party AX_OPENMP).
  * Use HTTPS URLs when they are available, in documentation and
    code.
  * Add Portuguese translation; add French translation of the
    manual page; fix capitalization error in the German manual
    page.
  * Drop support for Poppler < 0.11.1.
  * Improve error handling.

-------------------------------------------------------------------
Fri May 31 09:57:56 UTC 2013 - lazy.kent@opensuse.org

- Update to 0.7.17.
  * Fix build failure with Poppler ≥ 0.23.
- Changes in 0.7.16.
  * Fix build failure with Poppler ≥ 0.21.1.
- Drop pdf2djvu-poppler.patch (fixed upstream).
- Verify GPG signature.

-------------------------------------------------------------------
Tue Nov 13 12:44:43 UTC 2012 - idonmez@suse.com

- add pdf2djvu-poppler.patch to fix compile with new poppler 

-------------------------------------------------------------------
Sun Oct  7 18:39:55 UTC 2012 - lazy.kent@opensuse.org

- Update to 0.7.15.
  + Fix build failure with Poppler ≥ 0.21.

-------------------------------------------------------------------
Wed Sep 19 18:26:00 UTC 2012 - lazy.kent@opensuse.org

- Update to 0.7.14.
  + Ignore links with no action. (Previously such links would cause
    segfault).
  + Update German, Russian, Ukrainian translations.

-------------------------------------------------------------------
Mon Jun  4 06:36:36 UTC 2012 - lazy.kent@opensuse.org

- Update to 0.7.13.
  + Fix build failure with Poppler ≥ 0.19.
  + Update German, Russian, Ukrainian translations.
  + Add Ukrainian translation of the manual page.
- Disable tests (Python problem).

-------------------------------------------------------------------
Tue Feb 28 09:52:18 UTC 2012 - lazy.kent@opensuse.org

- Split off language package.
- Use pkgconfig(*) build dependencies.

-------------------------------------------------------------------
Sun Jan 22 07:42:41 UTC 2012 - lazy.kent@opensuse.org

- Update to 0.7.12
  + Fix resolution detection.
  + Add Ukrainian translation.

-------------------------------------------------------------------
Thu Oct  6 18:17:26 UTC 2011 - lazy.kent@opensuse.org

- Update to 0.7.11
  + Fix build failure with Poppler >= 0.17.
- Removed pdf2djvu-poppler-0.18.patch (fixed upstream).
- Removed obsolete "clean" section.

-------------------------------------------------------------------
Tue Sep 20 10:01:18 UTC 2011 - vuntz@opensuse.org

- Add pdf2djvu-poppler-0.18.patch: fix build with poppler
  0.17/0.18.

-------------------------------------------------------------------
Sat Aug 20 21:17:16 UTC 2011 - lazy.kent@opensuse.org

- Update to 0.7.10
  + Fix the --monochrome option.
  + Fix crash with --no-metadata.

-------------------------------------------------------------------
Thu Aug 18 20:07:45 UTC 2011 - lazy.kent@opensuse.org

- Update to 0.7.9
  + Add Russian translation.

-------------------------------------------------------------------
Mon Jul 25 01:12:48 UTC 2011 - lazy.kent@opensuse.org

- Update to 0.7.8
  + Add support for merging multiple PDFs into a single DjVu file.
  + Add German translation.

-------------------------------------------------------------------
Fri May 27 10:02:40 UTC 2011 - lazy.kent@opensuse.org

- Build requires ghostscript-fonts-std to run tests correctly
- Use full URL for source

-------------------------------------------------------------------
Wed Mar 30 09:35:06 UTC 2011 - lazy.kent@opensuse.org

- Update to 0.7.7
  + Fix build failure with GCC 4.6.
  + Make it possible to control how work is distributed between
    threads with the OMP_SCHEDULE variable.

-------------------------------------------------------------------
Sat Feb 19 15:35:07 UTC 2011 - lazy.kent@opensuse.org

- Update to 0.7.6
- Man pages marked as docs

-------------------------------------------------------------------
Fri Jan 21 19:48:42 UTC 2011 - lazy.kent@opensuse.org

- Don't make test in SLE

-------------------------------------------------------------------
Thu Jan 20 12:09:21 UTC 2011 - lazy.kent@opensuse.org

- Update to 0.7.5
  + Document the use of TMPDIR environment variable.
- Make tests
- Added COPYING

-------------------------------------------------------------------
Sun Jun 13 16:33:18 UTC 2010 - lazy.kent.suse@gmail.com

- Update to 0.7.4
  + Fix handling of the --pages option.
  + Fix build failure with GCC 4.2.
  + Make messages about missing features a bit more informative.
- Dropped obsolete patch

-------------------------------------------------------------------
Sat Jun 12 07:05:10 UTC 2010 - lazy.kent.suse@gmail.com

- Fixed handling of the --pages option

-------------------------------------------------------------------
Mon May 24 23:59:39 UTC 2010 - lazy.kent.suse@gmail.com

- Update to 0.7.3
  + Fix handling of the --indirect option.

-------------------------------------------------------------------
Sun May  2 10:15:03 UTC 2010 - lazy.kent.suse@gmail.com

- Update to 0.7.2
  + Add the --fg-colors=black option.
  + Fix broken output with --fg-colors=web.
  + Fix crash with GraphicMagick ≥ 1.3.8.
  + Override number of threads set by GraphicsMagick.
- Added some docs

-------------------------------------------------------------------
Tue Apr 20 16:40:57 UTC 2010 - lazy.kent.suse@gmail.com

- Update to 0.7.1
  + Speed up converting pages for which no foreground were
    detected.

-------------------------------------------------------------------
Sun Feb 28 00:14:38 UTC 2010 - lazy.kent.suse@gmail.com

- Update to 0.7.0
  + Add support for parallel page rendering: options -j/--jobs.

-------------------------------------------------------------------
Fri Jan 15 20:12:00 UTC 2010 - lazy.kent.suse@gmail.com

- Update to 0.6.2
  + Fix build failure without PStreams.

-------------------------------------------------------------------
Fri Jan 15 07:58:13 UTC 2010 - lazy.kent.suse@gmail.com

- Update to 0.6.1
  + Add the --text-filter option.
- Added libGraphicsMagick++-devel, libxslt-devel and pstreams-devel
  to BuildRequires

-------------------------------------------------------------------
Sat Oct  3 00:00:00 MSD 2009 - lazy.kent.suse@gmail.com

- Update to 0.6.0
  + New regression tests.
  + Add support for correcting XMP metadata.
  + Fix resolution detection (poppler ≥ 0.11.1 only).

-------------------------------------------------------------------
Fri Jul 31 00:00:00 MSD 2009 - lazy.kent.suse@gmail.com

- Update to 0.5.11
  + Document how to deal with CJK PDFs.

-------------------------------------------------------------------
Sun Jul 12 00:00:00 MSD 2009 - lazy.kent.suse@gmail.com

- Update to 0.5.10
  + Add Polish translation of the manual page.

-------------------------------------------------------------------
Wed Jul  1 00:00:00 MSD 2009 - lazy.kent.suse@gmail.com

- Added djvulibre to Requires

-------------------------------------------------------------------
Fri Jun 19 00:00:00 MSD 2009 - lazy.kent.suse@gmail.com

- Update to 0.5.9
  + Add Polish translation

-------------------------------------------------------------------
Tue Jun  2 00:00:00 MSD 2009 - lazy.kent.suse@gmail.com

- Spec-file cleanup

-------------------------------------------------------------------
Sun May 17 00:00:00 MSD 2009 - lazy.kent.suse@gmail.com

- Update to 0.5.8
  + Fix some rounding bugs.

-------------------------------------------------------------------
Fri May  8 00:00:00 MSD 2009 - lazy.kent.suse@gmail.com

- Update to 0.5.7
  + Add the --guess-dpi option.

-------------------------------------------------------------------
Wed May  6 00:00:00 MSD 2009 - lazy.kent.suse@gmail.com

- Update to 0.5.6
  + New default quantization algorithm.
  + Fix some character encoding issues.
  + Stricter requirements for pageid names.
  + Lift a limitation on number of pages in a bundled multi-page
    document.

-------------------------------------------------------------------
Mon May  4 00:00:00 MSD 2009 - lazy.kent.suse@gmail.com

- Update to 0.5.5
  + Add the --pageid-template option.
  + Add the --page-title-template option.
  + Don't allow duplicate page identifies nor duplicate page
    titles.
  + More robust UTF-16 to UTF-8 conversion.

-------------------------------------------------------------------
Sun Apr 16 00:00:00 MSD 2009 - lazy.kent.suse@gmail.com

- Update to 0.5.4
  + Add the --crop-text option.

-------------------------------------------------------------------
Thu Apr 16 00:00:00 MSD 2009 - lazy.kent.suse@gmail.com

- Initial package created - 0.5.3
openSUSE Build Service is sponsored by